LogolMultiExec(1)

NAME
LogolMultiExec - Program to parse a logol grammar and search pattern in a sequence, it allows one to run the LogolExec program on multi fasta input and to dispatch the treatements
 on a DRMAA compliant grid or on multi-cpu servers.

SYNOPSIS
LogolMultiExec [-h]

INSTALLATION
 LogolMultiExec needs the drmaa library. Default is to use SGE library. If another is used,
 one should update the symbolic link in /usr/share/logol/lib/drmaa.jar to the correct library.
 LD_LIBRARY_PATH must also updated in /sur/share/logol/LogolMultiExec.sh

CONFIGURATION
 LogolMultiExec and LogolExec share the same configuration file. See LogolExec man page for more info.
 .PP

OPTIONS
 Minimum arguments are -m for logol model or -g for logol grammar, and -s for input sequence

  MAIN OPTIONS

-h
     display the list of commands.

-v
     get version

-conf
     specify configuration file

-s
     sequence file to analyse.

-g
     grammar file to analyse

-m
     model file to analyse

-dna
     analyse dna, is default

-rna
     analyse rna

-protein
     analyse protein

-max
      maximum returned solutions

-all
     analyse both directions of the sequence

-out
     Zip output file name

-fasta
     Add fasta conversion of the matches to the result archive

-contig
     Set the input bank as contig sequences

-guid
     Unique identifier for the query

-email
     Email address to sent result availability info
     (needs mail setup)

-local
     Use local mode (multi core)

-sge
     Use SGE mode

-forcesplit
     Force the sequence splitting according to parameters and whatever is the number of model used in grammar

  OTHER OPTIONS

-lmax
     maximum length of a variable

-maxspacer
     maximum size of a spacer

-noclean
     Do not delete created files after treatment (for debug)

-enabledups
     enable duplicate result matches. By default only keep singletons

-filter
     Type of filter when enabledups is not enabled. Allowed types are exact(default),local,local0,global.

-lmin
     minimum length of a variable (to speedup parsing)

-maxmatchsize
     maximum size of a match (to speedup parsing)

-maxres
     maximum result size of a match (to speedup parsing)

AUTHOR
Olivier Sallou (olivier.sallou (at) irisa.fr)